
.nav__container { width:100%; padding: 45px 0 0 0; 
  background-color: rgb(255,255,255,0); background-color: rgba(255,255,255,0);
  -webkit-box-orient:vertical; -webkit-box-direction:normal; -ms-flex-direction:column; flex-direction:column; -webkit-box-pack:justify; -ms-flex-pack:justify; justify-content:space-between; -webkit-box-align:stretch; -ms-flex-align:stretch; align-items:stretch; }

.nav__mobile .nav__btn { display:block; }

.nav__mobile { display:-webkit-box; display:-ms-flexbox; display:flex; -webkit-box-pack:justify; -ms-flex-pack:justify; justify-content:space-between; -webkit-box-align:center; -ms-flex-align:center; align-items:center; }

.nav__menu { display:-webkit-box; display:-ms-flexbox; display:flex; -webkit-box-orient:vertical; -webkit-box-direction:normal; -ms-flex-direction:column; flex-direction:column; overflow:hidden }

.showing { max-height:592px; -webkit-transition:all .6s; transition:all .6s; }

.nav__menu li { list-style:none; position:relative; white-space:nowrap; padding:0; }
.nav__menu li a { display:block; padding: 0 12px; font-size:16px; line-height: 30px; color:#000; font-weight: 600; -webkit-border-radius: 0; -moz-border-radius: 0; border-radius: 0; text-align: center; background-color:rgb(255,255,255, 0.6); background-color:rgba(255,255,255, 0.6); backdrop-filter: blur(7.5px); -webkit-backdrop-filter: blur(7.5px); }
.nav__menu li a:hover, .nav__menu li a.onfocus { background-color: rgb(255,255,255,0.9); background-color: rgba(255,255,255,0.9); }

.nav-toggle { display:block; background-color:transparent; width:30px; height: 30px; cursor:pointer; padding:8px 0 0 0; position: absolute; top:0; right:30px; }
.nav-toggle span { position:relative; display:block; height:4px; border-radius:35px; width:100%; margin-top:0; background-color:#000; -webkit-transition:all .25s; transition:all .25s; }
.nav-toggle span.mrg { margin-top:5px; }
.nav-toggle.open span:first-child { -webkit-transform:rotate(45deg) translate(6.2px,6.2px); transform:rotate(45deg) translate(6.2px,6.2px); }
.nav-toggle.open span:nth-child(2) { width:0; opacity:0; }
.nav-toggle.open span:last-child { -webkit-transform:rotate(-45deg) translate(6.2px,-6.2px); transform:rotate(-45deg) translate(6.2px,-6.2px); }

.nav__menu .dropdown ul { display:-webkit-box; display:-ms-flexbox; display:flex; -webkit-box-orient:vertical; -webkit-box-direction:normal; -ms-flex-direction:column; flex-direction:column; position:static; padding:0; max-height:0; overflow:hidden; -webkit-transition:all .6s; transition:all .6s; 
  background-color:rgb(255,255,255, 0.6); background-color:rgba(255,255,255, 0.6); backdrop-filter: blur(7.5px); -webkit-backdrop-filter: blur(7.5px); }
.nav__menu .dropdown ul.show { max-height:320px; -webkit-transition:all .6s; transition:all .6s; }
.nav__menu .dropdown li a { display:block; font-size:16px; line-height: 24px; color:#1a1a1a; }

.menu-toggle { max-height:0; overflow:hidden }
.menu-toggle,.menu-toggle.active { -webkit-transition:all .6s ease; transition:all .6s ease }
.menu-toggle.active { max-height:100vh }

.resize-animation-stopper * { -webkit-transition:none!important; transition:none!important; -webkit-animation:none!important; animation:none!important }

@media screen and (min-width:1000px) {
  
    .menu-toggle { display:-webkit-box!important; display:-ms-flexbox!important; display:flex!important; max-height:100vh; overflow:visible; }

    .nav__container { display: block; background-color:transparent; width:100%; max-width:1280px; padding: 0; margin:auto; -webkit-box-orient:horizontal; -webkit-box-direction:normal; -ms-flex-direction:row; flex-direction:row; }

    .nav__mobile .nav__btn { display:none }

    .nav__menu { display:-webkit-box; display:-ms-flexbox; display:flex; -webkit-box-orient:horizontal; -webkit-box-direction:normal; -ms-flex-direction:row; flex-direction:row; max-height:100%; overflow:visible }
    .nav__menu li { list-style:none; position:relative; white-space:nowrap; padding:0; }
    .nav__menu li a { font-size:16x; line-height: 24px; color:#000; text-decoration:none; backdrop-filter: blur(0); -webkit-backdrop-filter: blur(0); background-color: rgb(255,255,255,0); background-color: rgba(255,255,255,0); text-align: left; -webkit-border-radius: 5px; -moz-border-radius: 5px; border-radius: 5px; }
      .nav__menu li a:hover { color:#000 }
      .nav__menu li a.onfocus { background-color: rgb(255,255,255,0.6); background-color: rgba(255,255,255,0.6); }
    .nav__menu .dropdown { position:relative; }
      .nav__menu .dropdown ul { display:-webkit-box; display:-ms-flexbox; display:flex; -webkit-box-orient:vertical; -webkit-box-direction:normal; -ms-flex-direction:column; flex-direction:column; position:absolute; top:100%; left:-30px; opacity:0; visibility:hidden; overflow:visible; padding:0; -webkit-transition:all .6s ease; transition:all .6s ease;}
      .nav__menu .dropdown:hover>ul { top:100%; left:0; opacity:1; visibility:visible; overflow:visible; padding:0; }
        .nav__menu .dropdown ul li { padding:0; position:relative; background-color:rgb(255,255,255, 0.6); background-color:rgba(255,255,255, 0.6); backdrop-filter: blur(7.5px); -webkit-backdrop-filter: blur(7.5px); }
        .nav__menu .dropdown ul li:first-child { -webkit-border-top-left-radius: 5px;
            -webkit-border-top-right-radius: 5px;
            -moz-border-radius-topleft: 5px;
            -moz-border-radius-topright: 5px;
            border-top-left-radius: 5px;
            border-top-right-radius: 5px; }
            .nav__menu .dropdown ul li:last-child { -webkit-border-bottom-right-radius: 5px;
                -webkit-border-bottom-left-radius: 5px;
                -moz-border-radius-bottomright: 5px;
                -moz-border-radius-bottomleft: 5px;
                border-bottom-right-radius: 5px;
                border-bottom-left-radius: 5px; }
          .nav__menu .dropdown ul li:hover { background-color:#fff; }
            .nav__menu .dropdown ul li a { display:block; color:#000; line-height: 24px; text-transform:capitalize }
                .nav__menu .dropdown ul li a:hover { display:block; color:#000; background-color: transparent; }

 }

 @media only screen and (max-width: 1280px) {

  .nav__menu li a { padding: 0 8px; font-size:15px; }
  .nav__menu .dropdown li a { font-size:15px; }

 }


 @media only screen and (max-width: 640px) {

  .nav-toggle { right:calc(50% - 15px); }

  
 }